Subject: Re: [X2Go-Dev] Bug#714: Cannot connect to epel5 servers: Undefined subroutine &main::LOG_UPTO

From: Mike Gabriel <[email-masked]>
Date: Thu, 08 Jan 2015 23:17:12 +0000

Control: forcemerge -1 #563

On  Sa 03 Jan 2015 16:49:49 CET, Michael DePaulo wrote:

> While I was verifying the fix for #699, I noticed that whenever I
> attempt to connect to my CentOS 5 server, I get the error:
> Connection failed
> Undefined subroutine &main::LOG_UPTO called at
> /usr/bin/x2golistsessions line 35.
>
> This bug prevents X2Go Server from being used at all on epel5 distros
> (RHEL 5, CentOS 5, SL 5, OL 5).
>
> It appears that the cause is that the LOG_UPTO() function is not
> available on CentOS 5's version of Perl, 5.8.8. It is available on
> CentOS 6 (Perl 5.10.1), hence why my CentOS 6 system is not affected.
> http://perldoc.perl.org/5.8.8/Sys/Syslog.html
> http://perldoc.perl.org/5.10.1/Sys/Syslog.html

the same issue already was reported as #563... attaching #563 to #714  
via forcemerge...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb